nautilus is unable to copy folders from samba

Bug #185729 reported by Shawn vega on 2008-01-24
54
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gvfs (Ubuntu)
Low
Ubuntu Desktop Bugs
samba (Ubuntu)
Low
Unassigned

Bug Description

was able to copy files and folders from my smb shared hard drive with gutsy 7.10. I upgraded to hardy 8.04 today and copying files works but not folders
$ uname -a
Linux shawn-desktop 2.6.24-4-generic #1 SMP Mon Jan 14 17:30:39 UTC 2008 i686 GNU/Linux

Shawn vega (svega85-gmail) wrote :
kimus (kimus) wrote :

In my desktop just crash/reloads nautilus.
Nautilus is very unstable on hardy.

Sebastien Bacher (seb128) wrote :

Thank you for your bug. Do you still get this issue using the new versions?

Changed in gvfs:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Incomplete
kimus (kimus) wrote :

Problems:
- Opening a samba share it opens 2 nautilus windows, this happens also if I put a USB pen.
- Coping a samba remote folder (1.4G) to another samba folder (same remote share) and then cancel in the middle it hangs/crash;
- Can't rename a samba remote folder: Sorry, couldn't rename "<FOLDER_NAME>": Invalid argument;

kimus (kimus) wrote :

- Coping a simple file doesn't work either!!

Shouldn't the importance of this bug set higher? Samba with nautilus just don't work for me!

Shawn vega (svega85-gmail) wrote :

not sure what you mean bu new versions? do you mean nautilus upstream from source? i just did all the new updates. and i'm still having the same issue i can copy single files but not folders

Sebastien Bacher (seb128) wrote :

do you still get the issue using the current hardy versions? what samba server version are you using?

kimus (kimus) wrote :

In my updated version of hardy I can work again :-)

Shawn vega (svega85-gmail) wrote :

i'm still having the same problems copying a folder with the latest updates applied i am using nautilus 1:2.22.0-0ubuntu3

Shawn vega (svega85-gmail) wrote :

also the samba server i'm using is a Network Attached Server so there is no version to report but i have other computers that can copy folders to and from the server using ubuntu 7.10 and windoze

Sebastien Bacher (seb128) wrote :

what sort of server is that? is that's a network disk device or similar? could you give detailled references?

Shawn vega (svega85-gmail) wrote :

yes it's a network disk device or also known as network attached storage (sorry, last time i wrote network atached sever) it's on sale here http://www.maplin.co.uk/Module.aspx?ModuleNo=97390

LanDisk Network Hard Drive Enclosure
• An easy-to-use hard drive enclosure that allows you to share information around a network
• Just add a IDE hard drive capacity of your choice
• Centralise and share data in your home or office
• Back up files from any computer on the network
• Supports 3.5-inch IDE / FAT32 HDD
• 10/100 Base-T / Auto MDI / MDI-X
• SMB/FTP for LAN / WAN file sharing-system
• DHCP server / client, Auto/static IP
• Web-based management, administrator / password
• USB 2.0 / Ethernet LAN 10/100 connection for PC or MAC
• OS support ME/2000/XP, MAC OS X, Linux
• Power: DC12V (included)

Sebastien Bacher (seb128) wrote :
Shawn vega (svega85-gmail) wrote :

it maybe related but i beleve that bug has to do with uploding to a smb lan drive server where my bug has to do with downloading a folder from a smb lan drive server

Sebastien Bacher (seb128) wrote :

the bug leads to the issue you are seeing too

Sergio Barjola (sbarjola) wrote :

I think that it's related with bugzilla 515960...
- Shawn, could you attach a tcpdump log file while you are trying to copy folders, with a command like "tcpdump -s0 -w logsmb.cap -i eth0" ? Thanks in advance.

Shawn vega (svega85-gmail) wrote :

even if it is related the problem dosn't happen on gutsy and i won't be able to install hardy on any of my computers with this bug.
I followed your instructions about the tcpdump and the output is attached.
Thank you for your help.

Sergio Barjola (sbarjola) wrote :

thanks, seems that isn't same problem... it obtain an "access denied" when trying to open "\pic from phone 08" directory.

Shawn vega (svega85-gmail) wrote :

yeah, that's the new error message i get when i try to copy folders but i can copy all the individual files so i do have the proper permissions

Kevin Atkins (kevin-katkins) wrote :

I'm using the same Lan Disk enclosure as Shawn and I'm seeing exactly the same behaviour.

Sebastien Bacher (seb128) wrote :

does copying the directory using smbclient works correctly?

Shawn vega (svega85-gmail) wrote :

it didn't work using these commands but not sure if I did it right because this is my first time using smbclient
shawn@shawn-hardy:~$ smbclient //STORAGE/public -N
Domain=[ȇ] OS=[] Server=[���]
smb: \> dir
  . D 0 Sat Jun 22 09:14:44 2024
  .. D 0 Sat Jun 22 09:14:44 2024
  .netrc A 54 Wed Dec 31 23:59:59 1969
  shawn D 0 Tue Jan 2 08:45:24 2035
  cherry D 0 Sat Jan 12 08:45:24 2036
  Videos D 0 Wed Dec 31 23:59:59 1969
  Michael D 0 Wed Dec 31 23:59:59 1969
  miro_subscriptions.opml A 3990 Wed Nov 30 08:55:06 1983
  Why-We-Fight.avi A 733364224 Tue Jul 28 09:57:06 2026
  photo tree D 0 Sat Aug 20 09:59:54 1983
  pic D 0 Wed Dec 31 23:59:59 1969

  14900 blocks of size 16777216. 4226 blocks available

smb: \> get pic
ERRDOS - ERRnoaccess (Access denied.) opening remote file \pic

Sebastien Bacher (seb128) wrote :

are you sure your server is correctly configured? that indicates the issue is not gvfs, it's either a samba bug or a you don't have access to this directory on the server

Shawn vega (svega85-gmail) wrote :

the server is set to allow everyone with no password. i can copy the folder with my same computer using gutsy. Using hardy I can copy the individual files inside the folder that i can't copy so i don't think it's the server settings. I guess it must be a samba bug.

Shawn vega (svega85-gmail) wrote :

it may be gvfs because i have the same problem using ftp in nautilus to that same server, But filezilla in hardy can do the same thing just fine.i do get a slightly different error using nautilus ftp, so i attached the error i get.

Sebastien Bacher (seb128) wrote :

the ftp issue is gvfs bug #205370, reassigning the smb one to samba since smbclient doesn't success to copy it either

Changed in gvfs:
status: Incomplete → New
Steffen Vogel (steffenvogel) wrote :

I have the same problem like Shawn vega here.
The details of the error dialog are : "file unavailable" if you try to copy a whole directory.
A single file work.

I have the newest version of nautilus and gvfs.
I am connected to proftpd.

Seems like I have a similar problem with nautilus.
I can copy files/folders from Linux to Win-shares.
But I can´t copy folders(!!) from Win-share to Linux. I always have an error that says that the "permission is denied".
Other files like *oggs or *pdfs or *zip CAN be copied from Windows to Linux.

Marcus Asshauer (mcas) on 2008-04-09
Changed in gvfs:
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

closing the gvfs tasks since samba has the same issue

Changed in samba:
assignee: desktop-bugs → nobody
Changed in gvfs:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: Confirmed → Invalid
Laszlo Lukacs (lukacs-laci) wrote :

I have the same problem with ftp shares.

rexluv (ccravo) wrote :

I am experiencing the same problem. I have a Western Digital NAS. I am able to see all folders and files on the NAS and I am able to copy individual files. I am not able to copy folders over for some reason. It seemed to work fine in Gutsy but I cannot get it to work in Hardy Heron.

Mathias Gug (mathiaz) wrote :

Could you test with smbclient using the following command line :

  smbclient //SERVER_NAME/SHARE_NAME -N -c 'recurse; mget DIRECTORY_NAME/'

replacing SERVER_NAME, SHARE_NAME and DIRECTORY_NAME with your values ?

Mathias Gug (mathiaz) on 2008-04-29
Changed in samba:
status: New → Incomplete
  • unnamed Edit (1.6 KiB, text/html; charset=ISO-8859-1)

Dear Mathias,
As I said, I experienced a similar problem with ftp shares, NOT with smb.
However, I tried out what you said and it is working.
But with the ftp is still not working. It seems the Nautilus tries to use a
simple ftp get for directories too.

On Wed, Apr 30, 2008 at 12:41 AM, Mathias Gug <email address hidden> wrote:

> Could you test with smbclient using the following command line :
>
> smbclient //SERVER_NAME/SHARE_NAME -N -c 'recurse; mget
> DIRECTORY_NAME/'
>
> replacing SERVER_NAME, SHARE_NAME and DIRECTORY_NAME with your values ?
>
> --
> nautilus is unable to copy folders from samba
> https://bugs.launchpad.net/bugs/185729
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "gvfs" in Ubuntu: Invalid
> Status in Source Package "samba" in Ubuntu: New
>
> Bug description:
> was able to copy files and folders from my smb shared hard drive with
> gutsy 7.10. I upgraded to hardy 8.04 today and copying files works but not
> folders
> $ uname -a
> Linux shawn-desktop 2.6.24-4-generic #1 SMP Mon Jan 14 17:30:39 UTC 2008
> i686 GNU/Linux
>

--
L.Laci

Shawn vega (svega85-gmail) wrote :

tried it a couple different ways here is the output:

shawn@shawn-laptop:~$ smbclient //STORAGE/public -N -c 'recurse; mget pic/'Domain=[ȇ] OS=[] Server=[���]
ERRDOS - ERRbadfile (File not found.) listing \pic/

shawn@shawn-laptop:~$ smbclient //STORAGE/public/ -N -c 'recurse; mget pic'
Domain=[ȇ] OS=[] Server=[���]
Get file 椀挀? y
ERRDOS - ERRbadfile (File not found.) opening remote file \椀挀

Mathias Gug (mathiaz) wrote :

It seems that you're using non-ASCII character for your domain name and files. Does smbclient work with directories that only have filename with ASCII characters ?

rexluv (ccravo) wrote :

I issued the command above and it seemed to work ok.

cesar@ubunto:~$ smbclient //WD-NETCENTER/'Shared Files' -N -c 'recurse; mget \MyPictures'
Domain=[WORKGROUP] OS=[Unix] Server=[Samba 3.0.2]
Get directory MyPictures? Y
Get directory Test? Y
Get file IMG_0036.JPG? Y
getting file \MyPictures\Test\IMG_0036.JPG of size 1581763 as IMG_0036.JPG (5700.0 kb/s) (average 5700.0 kb/s)
Get file IMG_0039.JPG?
cesar@ubunto:~$

I still get "permission denied" error when copying folders over in Nautilus.

Shawn vega (svega85-gmail) wrote :

the directory name is "pic". those weird asian letters show up by themselves. also there is no way to set the domain name on this nas.

Shawn vega (svega85-gmail) wrote :

also copying samba folders works fine using Gutsy and all other previous versions of ubuntu

ianmidd (imiddleton1) wrote :

I have the same issue as Shwan as well on Hardy

I can copy files from a Maxtor Shared Storage drive mounted wiith Samba, but I cannot copy folders. I get the exact same "permission denied" error in the Nautilus window.

I have a laptop with Gusty and don't have this issue.

Kövér Gábor (koverg) wrote :

I have the same issue in Hardy (Linux koverg-desktop 2.6.24-16-generic #1 SMP Thu Apr 10 12:47:45 UTC 2008 x86_64 GNU/Linux).

My SMB server is an ASUS WL-500gP router with OpenWrt Linux 2.4 on it. I cannot even copy from the shell by using smbfs (same error access denied).

The only workaround I found is to use the scp, because I have and sshd server installed on the router.

Mathias Gug (mathiaz) wrote :

On Fri, May 09, 2008 at 08:26:27PM -0000, Kövér Gábor wrote:
> My SMB server is an ASUS WL-500gP router with OpenWrt Linux 2.4 on it. I
> cannot even copy from the shell by using smbfs (same error access
> denied).

What is the fstab entry for your share ? How do you mount it ? What is
the output of the mount command ?

--
Mathias Gug
Ubuntu Developer http://www.ubuntu.com

Shawn vega (svega85-gmail) wrote :

it's not in my fstab i only mount it using nautilus and also tried smbclient.
I don't know if this helps but I noticed that when rexluv copyed a directory smbclient if it should get the directory, on my computer smbclient asks if it should get a file(with weird letters), even though i asked it to get a directory.

Gerard (gbendotti) wrote :

Sorry guys - I have to "me too " on this one. I have a similar setup using a D-Link NAS. Gutsy was working fine, Hardy is no good.

What I did notice was in ~/.gvfs the volume exists and I can copy etc from there ok. it is only through the "normal" file management that I get the same result as mentioned here.

That is what makes me suspect gvfs.

Good luck.

T (lannes-pierre) wrote :

Hello, Same problem for me on Hardy.
Copying samba folders worked fine using Gutsy before update to Hardy.

Roland Sommer (rsommer) wrote :

Hi,

since hardy I too have massive problems with nautilus/gvfs with copying (or even accessing on smb) files/directories from smb-shares and ftp-servers. On gutsy i could access and retrieve data on/from the same machines. If I mount the smb-shares using "-t cifs" or use a ftp-client everything worls as excpected, that's why I suspect gvfs ...

miraceti (miraceti-internode) wrote :

Just to confirm Gerards workaround.
I have a "No Name" brand NAS and can quite successfully copy folders from the ~/.gvfs folder in Nautilus

DeeEmm (deeemm) wrote :

I too can confirm exactly the same issue - I am able to copy a file but not a directory from network mounted share. I get a "permission denied" error message. In addition I have exactly the same problem with ftp. Interestingly, as stated by Gerard and miraceti, browsing to the "~/.gvfs" folder allows me to copy folders no problem.

Additionally, issuing the command "smbclient //SERVER_NAME/SHARE_NAME -N -c 'recurse; mget DIRECTORY_NAME/'" gives no errors.

For information, my NAS is a Buffalo Link Station

DM

DeeEmm (deeemm) wrote :

Should probably add that there was no issue before upgrading to Hardy (from Gutsy). Have also tried a clean install and same problem persists.

DM

miraceti (miraceti-internode) wrote :

Hi Guys,

Just some more information.
I have been experimenting and found that PCLOS 2008 handles the nas device perfectly, even to the point of having the link survive a restart.
I'm impressed with its networking! Its installation onto a hdd is not without its problems :(

So whatever the PCLOS developers have done with samba it certainly is the way to go.

DFreeze (dfreeze) wrote :

I "me too" on this one as well, but the workaround mentioned above does not work for me. My ~/.gvfs folder is empty (the share is mounted using Locations >> Mount Network Share and then bookmarked). Clicking the bookmark makes me browse the drive without problems (apart from some random "can't access share" dialogs which don't show up if I try to access it again). Copying files also no fuss, copying folders ... no go.

DFreeze (dfreeze) wrote :

Sorry, should have added a little more data. I have this issue on one of those cheap NAS devices too. It's a Conceptronic LAN drive (probably using the same chipset as all the other LANdisks mentioned).

yaztromo (tromo) wrote :

I am using Thunar.

If I copy a folder from my PC onto a mounted samba share the folder is created but the first file will error out with a "Permission Denied". Clicking retry copies the failed filed and rest of the files fine.

Strange bug this one :)

ewmcnee (ewmcnee-gmail) wrote :

I have the same file/folder problem with Nautilus in Hardy. Files will copy from the NAS but folders will not.

I installed the "Dolphin" file manager and it has no problem with the copy of files or folders, so I think the problem lies in Nautilus and not Samba.

Perhaps using Dolphin or another file manager will help people until the bug is fixed.

miraceti (miraceti-internode) wrote :

Thanks for the idea ewmcnee, unfortunately Dolphin nor any of the other managers I tired(Thunar, bsc etal), will not work any better with my NAS than Nautilus. It's a good idea though :)

ewmcnee (ewmcnee-gmail) wrote :

My solution has been to permanently mount the NAS volume by editing the /etc/fstab file. With it mounted, even Nautilus doesn't have problems any more moving files or complete folders.

In my case, the NAS volume is //192.168.1.100/Volume_1 and I have mounted it at /media/backup. The line I added to fstab is this:

//192.168.1.100/Volume_1 /media/backup cifs guest,uid=1000 0 0

Now if I browse /media/backup with Nautilus... bingo! I can properly manipulate all the files and folders again.

Hope this helps.

Shawn vega (svega85-gmail) wrote :

hey I test tested this out with ubuntu intrepid ibex 8.10 alpha2 and copying folders with samba works.

also why is bug marked as incomplete.

miraceti (miraceti-internode) wrote :

SOLVED!!!

The latest update (24/7/8) adds fixes for gvfs and the problem is now solved! :D

To the developers,
Thank you very very much I deeply appreciate your efforts :D

DFreeze (dfreeze) wrote :

I've tried in Hardy, but I can't copy folders still. Was it Hardy or
Intrepid you had success with?

Shawn vega (svega85-gmail) wrote :

it's working on hardy for me now too.
thanks everyone.

miraceti (miraceti-internode) wrote :

Hi Goswin, It was Hardy that worked after the update. Hope the update works for you too. I am using the 64 bit version.

yaztromo (tromo) wrote :

Still broken here. Both server and client are hardy with full updates.

miraceti (miraceti-internode) wrote :

After mounting your share, can you get folders copied by going to the .gvfs folder in your home folder? I found that this worked just fine when it was broken in Nautillus.

hirameki (hirameki) wrote :

I'm using Ubuntu hardy and I did full update (stable only).

I have same problem. But not exactly.

I can copy files from my samba server to local but not directory(folder).
When I copy directory from samba server, error dialog appeared and detail message just say "is a directory".
After that 0 byte file created to target location with same name of the directory.
Copying directory from samba to "~/.gvfs" also fails with same error dialog.

But, I can copy local directory or files to samba server.

Henk (hi-hoek) wrote :

The solution from ewmcnee works for me to! Hardy, Conceptronic NAS. Thanks, just add the correct entry in /etc/fstab

" My solution has been to permanently mount the NAS volume by editing the /etc/fstab file. With it mounted, even Nautilus doesn't have problems any more moving files or complete folders.

In my case, the NAS volume is //192.168.1.100/Volume_1 and I have mounted it at /media/backup. The line I added to fstab is this:

//192.168.1.100/Volume_1 /media/backup cifs guest,uid=1000 0 0

Now if I browse /media/backup with Nautilus... bingo! I can properly manipulate all the files and folders again.

Hope this helps."

Roel (roel-uncinc) wrote :

i have the same issue as yaztromo mentions here:
https://bugs.launchpad.net/ubuntu/+source/samba/+bug/185729/comments/53

basically when copying a folder to a cifs-mount, the folder is created but the files fails to copy.
It looks to me like the folder is being created and it tries to copy the files before the correct rights can be given to the new folder.

when using nautilus it only happens to the first file (notice creates enough time to set correct rights?)
when using bash (cp -R folder/ cifsmount/) it happens to all files (notice creates enough time to set correct rights?)

uname -a
Linux juniorR 2.6.28-16-generic #55-Ubuntu SMP Tue Oct 20 19:48:24 UTC 2009 i686 GNU/Linux

fstab
//chef/projects /home/roel/_projects cifs credentials=/root/.credentials,uid=roel,iocharset=utf8,file_mode=0777,dir_mode=0777 0 0

excuise me my n00bness if this is posted in the wrong place!

Roel (roel-uncinc) wrote :

plz ignore the latter (notice creates enough time to set correct rights?) > lazy-copy-error

rylleman (rylleman) wrote :

>Roel. Add a "noperm" to your fstab-entry. That solved the exact same issue for me.

Chuck Short (zulcss) on 2010-01-25
Changed in samba (Ubuntu):
status: Incomplete → Confirmed
Roel (roel-uncinc) wrote :

>rylleman, thanks!

Chuck Short (zulcss) wrote :

This should be fixed for Lucid, please re-open if it isnt.

Regards
chuck

Changed in samba (Ubuntu):
status: Confirmed → Fix Released
agitdd99 (agitdd99) wrote :

i got this problem too. especially when i make an open office document in other computer and save it in shared folder (with guess user option), and then i tried to copy the file from my computer, there is this error message "invalid arguement".

i tried to copy besides an openoffice document, an jpg image. it was fine. there could
It was fine when running karmic. no luck now when running lucid.

Changed in samba (Ubuntu):
status: Fix Released → In Progress
Changed in gvfs (Ubuntu):
status: Invalid → In Progress
agitdd99 (agitdd99) on 2010-05-01
Changed in gvfs (Ubuntu):
status: In Progress → Invalid
Changed in samba (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.